Energia

Serial

## parseFloat()

### Description

Serial.parseFloat() returns the first valid floating point number from the Serial buffer. Characters that are not digits (or the minus sign) are skipped. parseFloat() is terminated by the first character that is not a floating point number. Serial.parseFloat() inherits from the Stream utility class.

### Syntax

Serial.parseFloat()

### Parameters

none

### Returns

float

### Example

### See also

- Stream.ParseFloat()
- Serial.read()
- Serial.find()
- Serial.flush()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes